Index: /WAeUP_SRP/trunk/Upload.py
===================================================================
--- /WAeUP_SRP/trunk/Upload.py	(revision 4391)
+++ /WAeUP_SRP/trunk/Upload.py	(revision 4392)
@@ -36,5 +36,5 @@
     def Title(self):
         """compose title"""
-        return "Upload Section"
+        return "Uploads Section"
 
 
Index: /WAeUP_SRP/trunk/skins/waeup_ois/srp_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_ois/srp_view.pt	(revision 4392)
+++ /WAeUP_SRP/trunk/skins/waeup_ois/srp_view.pt	(revision 4392)
@@ -0,0 +1,53 @@
+<metal:html>
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+    
+      <span tal:condition="python: getattr(context.campus.documents,'srp_home_doc',None)">
+          <div tal:define="doc python: context.campus.documents.srp_home_doc.getContent()"
+               tal:content="structure python:doc.wdrender()" />
+      </span>     
+    
+      <span tal:condition="python: not getattr(context.campus.documents,'srp_home_doc',None)"
+            tal:define="groups python: context.portal_membership.getAuthenticatedMember().getGroups()"
+            >
+      
+        <h2>Welcome to the     
+          <br /><span tal:replace="here/portal_properties/title" /> of the <span tal:replace="here/portal_properties/institution_title" /></h2>
+          <br />
+          You are logged in and viewing the portal's root folder. Please go to one of the sections above.   
+          <br /><br />
+          
+          <span tal:condition="python: 'CourseAdvisers' in groups">
+                The first-time access to the students section (Students tab above) my take some time. Your local roles are being determined.
+          </span>
+
+          <div tal:condition="python: 'Lecturers' in groups"
+                tal:define="info context/getLecturerCoursesInfo">
+          
+                You are registered teacher of the following courses: <br /><br />
+                
+
+          <table>
+            <tr>
+            <th style='text-align:center'>Code</th> 
+            <th style='text-align:center'>Title</th>
+            <th style='text-align:center'>Term</th>
+            <th style='text-align:center'></th>
+            </tr>          
+            <tr tal:repeat="row info/courses"
+                tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+              <td style='text-align:center' width="50pt"> <a href="" tal:attributes="href row/course_url"><span tal:content="row/id" /></a></td>     
+              <td width="400pt" tal:content="row/title"></td>
+              <td style='text-align:center' width="20pt"><span tal:content="row/semester" /></td>      
+              <td> <a href="" tal:attributes="href row/list_url">[list students] </a></td>
+            </tr>
+          </table>                
+                
+                
+          
+          </div>
+       </span>
+       
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: /WAeUP_SRP/trunk/skins/waeup_ois/students_actions.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_ois/students_actions.pt	(revision 4391)
+++ /WAeUP_SRP/trunk/skins/waeup_ois/students_actions.pt	(revision 4392)
@@ -2,6 +2,4 @@
 
   <strong>
-    <nobr><a href="statistics_simple_view">Basic Student Statistics</a>
-    &nbsp;&nbsp;&nbsp;&nbsp;</nobr>      
     <span tal:condition="context/isSectionOfficer">
       <nobr><a href="apply_admission_manage">Application Process</a>
Index: /WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 4391)
+++ /WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 4392)
@@ -12,5 +12,5 @@
     <span tal:condition="allowed" tal:omit-tag="">
       <metal:block use-macro="here/students_actions/macros/students_actions" />
-      <h3> Search Student Section</h3><br />
+      <h3> Students Section</h3><br />
       <span tal:replace="structure rendered" />
       <metal:block use-macro="here/generic_lib_portal_message/macros/portal_message" />