Index: eUP_SRP/trunk/profiles/aaua/layouts/student_study_level.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/aaua/layouts/student_study_level.xml	(revision 4393)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
-<object name="student_study_level" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="session" meta_type="String Widget">
-  <property name="title">Session</property>
-  <property name="fields">
-   <element value="session"/>
-  </property>
-  <property name="label">Session</property>
-  <property name="label_edit">Session</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="verdict" meta_type="String Widget">
-  <property name="title">Verdict</property>
-  <property name="fields">
-   <element value="verdict"/>
-  </property>
-  <property name="label">Verdict</property>
-  <property name="label_edit">Verdict</property>
-  <property name="readonly_layout_modes">
-     <element value="edit"/>
-     <element value="create"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <table>
-  <row>
-   <cell name="session"/>
-  </row>
-  <row>
-   <cell name="verdict"/>
-  </row>
- </table>
-</object>
Index: eUP_SRP/trunk/profiles/aaue/layouts/student_study_level.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/aaue/layouts/student_study_level.xml	(revision 4393)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
-<object name="student_study_level" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="session" meta_type="String Widget">
-  <property name="title">Session</property>
-  <property name="fields">
-   <element value="session"/>
-  </property>
-  <property name="label">Session</property>
-  <property name="label_edit">Session</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="verdict" meta_type="String Widget">
-  <property name="title">Verdict</property>
-  <property name="fields">
-   <element value="verdict"/>
-  </property>
-  <property name="label">Verdict</property>
-  <property name="label_edit">Verdict</property>
-  <property name="readonly_layout_modes">
-     <element value="edit"/>
-     <element value="create"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <table>
-  <row>
-   <cell name="session"/>
-  </row>
-  <row>
-   <cell name="verdict"/>
-  </row>
- </table>
-</object>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_study_level.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_study_level.xml	(revision 4394)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_study_level.xml	(revision 4394)
@@ -0,0 +1,43 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
+<object name="student_study_level" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="session" meta_type="String Widget">
+  <property name="title">Session</property>
+  <property name="fields">
+   <element value="session"/>
+  </property>
+  <property name="label">Session</property>
+  <property name="label_edit">Session</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="verdict" meta_type="String Widget">
+  <property name="title">Verdict</property>
+  <property name="fields">
+   <element value="verdict"/>
+  </property>
+  <property name="label">Verdict</property>
+  <property name="label_edit">Verdict</property>
+  <property name="readonly_layout_modes">
+     <element value="edit"/>
+     <element value="create"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <table>
+  <row>
+   <cell name="session"/>
+  </row>
+  <row>
+   <cell name="verdict"/>
+  </row>
+ </table>
+</object>
Index: eUP_SRP/trunk/profiles/fceokene/layouts/student_study_level.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/fceokene/layouts/student_study_level.xml	(revision 4393)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
-<object name="student_study_level" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="session" meta_type="String Widget">
-  <property name="title">Session</property>
-  <property name="fields">
-   <element value="session"/>
-  </property>
-  <property name="label">Session</property>
-  <property name="label_edit">Session</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="verdict" meta_type="String Widget">
-  <property name="title">Verdict</property>
-  <property name="fields">
-   <element value="verdict"/>
-  </property>
-  <property name="label">Verdict</property>
-  <property name="label_edit">Verdict</property>
-  <property name="readonly_layout_modes">
-     <element value="edit"/>
-     <element value="create"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <table>
-  <row>
-   <cell name="session"/>
-  </row>
-  <row>
-   <cell name="verdict"/>
-  </row>
- </table>
-</object>
Index: eUP_SRP/trunk/profiles/fceoyo/layouts/student_study_level.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/fceoyo/layouts/student_study_level.xml	(revision 4393)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
-<object name="student_study_level" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="session" meta_type="String Widget">
-  <property name="title">Session</property>
-  <property name="fields">
-   <element value="session"/>
-  </property>
-  <property name="label">Session</property>
-  <property name="label_edit">Session</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="verdict" meta_type="String Widget">
-  <property name="title">Verdict</property>
-  <property name="fields">
-   <element value="verdict"/>
-  </property>
-  <property name="label">Verdict</property>
-  <property name="label_edit">Verdict</property>
-  <property name="readonly_layout_modes">
-     <element value="edit"/>
-     <element value="create"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <table>
-  <row>
-   <cell name="session"/>
-  </row>
-  <row>
-   <cell name="verdict"/>
-  </row>
- </table>
-</object>
Index: eUP_SRP/trunk/profiles/futminna/layouts/student_study_level.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/futminna/layouts/student_study_level.xml	(revision 4393)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
-<object name="student_study_level" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="session" meta_type="String Widget">
-  <property name="title">Session</property>
-  <property name="fields">
-   <element value="session"/>
-  </property>
-  <property name="label">Session</property>
-  <property name="label_edit">Session</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="verdict" meta_type="String Widget">
-  <property name="title">Verdict</property>
-  <property name="fields">
-   <element value="verdict"/>
-  </property>
-  <property name="label">Verdict</property>
-  <property name="label_edit">Verdict</property>
-  <property name="readonly_layout_modes">
-     <element value="edit"/>
-     <element value="create"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <table>
-  <row>
-   <cell name="session"/>
-  </row>
-  <row>
-   <cell name="verdict"/>
-  </row>
- </table>
-</object>
Index: eUP_SRP/trunk/profiles/nau/layouts/student_study_level.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/nau/layouts/student_study_level.xml	(revision 4393)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
-<object name="student_study_level" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="session" meta_type="String Widget">
-  <property name="title">Session</property>
-  <property name="fields">
-   <element value="session"/>
-  </property>
-  <property name="label">Session</property>
-  <property name="label_edit">Session</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="verdict" meta_type="String Widget">
-  <property name="title">Verdict</property>
-  <property name="fields">
-   <element value="verdict"/>
-  </property>
-  <property name="label">Verdict</property>
-  <property name="label_edit">Verdict</property>
-  <property name="readonly_layout_modes">
-     <element value="edit"/>
-     <element value="create"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <table>
-  <row>
-   <cell name="session"/>
-  </row>
-  <row>
-   <cell name="verdict"/>
-  </row>
- </table>
-</object>
Index: eUP_SRP/trunk/profiles/ois/layouts/student_study_level.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/ois/layouts/student_study_level.xml	(revision 4393)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
-<object name="student_study_level" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="session" meta_type="String Widget">
-  <property name="title">Session</property>
-  <property name="fields">
-   <element value="session"/>
-  </property>
-  <property name="label">Session</property>
-  <property name="label_edit">Session</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="verdict" meta_type="String Widget">
-  <property name="title">Verdict</property>
-  <property name="fields">
-   <element value="verdict"/>
-  </property>
-  <property name="label">Verdict</property>
-  <property name="label_edit">Verdict</property>
-  <property name="readonly_layout_modes">
-     <element value="edit"/>
-     <element value="create"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <table>
-  <row>
-   <cell name="session"/>
-  </row>
-  <row>
-   <cell name="verdict"/>
-  </row>
- </table>
-</object>
Index: eUP_SRP/trunk/profiles/uniben/layouts/student_study_level.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/uniben/layouts/student_study_level.xml	(revision 4393)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
-<object name="student_study_level" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="session" meta_type="String Widget">
-  <property name="title">Session</property>
-  <property name="fields">
-   <element value="session"/>
-  </property>
-  <property name="label">Session</property>
-  <property name="label_edit">Session</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="verdict" meta_type="String Widget">
-  <property name="title">Verdict</property>
-  <property name="fields">
-   <element value="verdict"/>
-  </property>
-  <property name="label">Verdict</property>
-  <property name="label_edit">Verdict</property>
-  <property name="readonly_layout_modes">
-     <element value="edit"/>
-     <element value="create"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <table>
-  <row>
-   <cell name="session"/>
-  </row>
-  <row>
-   <cell name="verdict"/>
-  </row>
- </table>
-</object>
Index: eUP_SRP/trunk/profiles/unilorin/layouts/student_study_level.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/unilorin/layouts/student_study_level.xml	(revision 4393)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
-<object name="student_study_level" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="session" meta_type="String Widget">
-  <property name="title">Session</property>
-  <property name="fields">
-   <element value="session"/>
-  </property>
-  <property name="label">Session</property>
-  <property name="label_edit">Session</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="verdict" meta_type="String Widget">
-  <property name="title">Verdict</property>
-  <property name="fields">
-   <element value="verdict"/>
-  </property>
-  <property name="label">Verdict</property>
-  <property name="label_edit">Verdict</property>
-  <property name="readonly_layout_modes">
-     <element value="edit"/>
-     <element value="create"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <table>
-  <row>
-   <cell name="session"/>
-  </row>
-  <row>
-   <cell name="verdict"/>
-  </row>
- </table>
-</object>