Index: /WAeUP_SRP/trunk/profiles/default/schemas/import_student_study_level.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/import_student_study_level.xml	(revision 4394)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/import_student_study_level.xml	(revision 4395)
@@ -8,5 +8,3 @@
  <field name="session" meta_type="CPS String Field"/>
  <field name="verdict" meta_type="CPS String Field"/>
- <field name="validated_by" meta_type="CPS String Field"/>
- <field name="validation_date" meta_type="CPS DateTime Field"/>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/student_study_level.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/student_study_level.xml	(revision 4394)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/student_study_level.xml	(revision 4395)
@@ -7,5 +7,3 @@
  <field name="validation_date" meta_type="CPS DateTime Field"/>
  <field name="verdict" meta_type="CPS String Field"/>
- <field name="no_stud_year" meta_type="CPS String Field"/>
- <field name="over_pos_year" meta_type="CPS String Field"/>
 </object>
Index: /WAeUP_SRP/trunk/profiles/ois/readme.txt
===================================================================
--- /WAeUP_SRP/trunk/profiles/ois/readme.txt	(revision 4395)
+++ /WAeUP_SRP/trunk/profiles/ois/readme.txt	(revision 4395)
@@ -0,0 +1,1 @@
+schemas has only been customized for OIS, it has not been removed from the default profile.
Index: /WAeUP_SRP/trunk/profiles/ois/schemas/import_student_study_level.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/ois/schemas/import_student_study_level.xml	(revision 4395)
+++ /WAeUP_SRP/trunk/profiles/ois/schemas/import_student_study_level.xml	(revision 4395)
@@ -0,0 +1,18 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
+<object name="import_student_study_level" meta_type="CPS Schema">
+ <field name="import_mode" meta_type="CPS String Field"/>
+ <field name="id" meta_type="CPS String Field"/>
+ <field name="matric_no" meta_type="CPS String Field"/>
+ <field name="code" meta_type="CPS String Field"/>
+ <field name="session" meta_type="CPS String Field"/>
+ <field name="verdict" meta_type="CPS String Field"/>
+ <field name="validated_by" meta_type="CPS String Field"/>
+ <field name="validation_date" meta_type="CPS DateTime Field"/>
+ <field name="no_stud_term1" meta_type="CPS String Field"/>
+ <field name="over_pos_term1" meta_type="CPS String Field"/>
+ <field name="no_stud_term2" meta_type="CPS String Field"/>
+ <field name="over_pos_term2" meta_type="CPS String Field"/>
+ <field name="no_stud_term3" meta_type="CPS String Field"/>
+ <field name="over_pos_term3" meta_type="CPS String Field"/>
+</object>
Index: /WAeUP_SRP/trunk/profiles/ois/schemas/student_study_level.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/ois/schemas/student_study_level.xml	(revision 4395)
+++ /WAeUP_SRP/trunk/profiles/ois/schemas/student_study_level.xml	(revision 4395)
@@ -0,0 +1,15 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
+<object name="student_study_level" meta_type="CPS Schema">
+ <field name="session" meta_type="CPS String Field"/>
+ <field name="verdict" meta_type="CPS String Field"/>
+ <field name="validated_by" meta_type="CPS String Field"/>
+ <field name="validation_date" meta_type="CPS DateTime Field"/>
+ <field name="verdict" meta_type="CPS String Field"/>
+ <field name="no_stud_term1" meta_type="CPS String Field"/>
+ <field name="over_pos_term1" meta_type="CPS String Field"/>
+ <field name="no_stud_term2" meta_type="CPS String Field"/>
+ <field name="over_pos_term2" meta_type="CPS String Field"/>
+ <field name="no_stud_term3" meta_type="CPS String Field"/>
+ <field name="over_pos_term3" meta_type="CPS String Field"/>
+</object>
Index: /WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip.pt	(revision 4394)
+++ /WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip.pt	(revision 4395)
@@ -12,7 +12,7 @@
                                        term_complete info/complete1;
                                        term options/term;
-                                       sem_series python:(('Term One','normal1','complete1','score_calc_average_1','yga1','counter1','date1'),
-                                                          ('Term Two','normal2','complete2','score_calc_average_2','yga2','counter2','date2'),
-                                                          ('Term Three','normal3','complete3','score_calc_average_3','yga3','counter3','date3'));
+                                       sem_series python:(('Term One','normal1','complete1','score_calc_average_1','yga1','counter1','date1','over_pos_term1','no_stud_term1'),
+                                                          ('Term Two','normal2','complete2','score_calc_average_2','yga2','counter2','date2','over_pos_term2','no_stud_term2'),
+                                                          ('Term Three','normal3','complete3','score_calc_average_3','yga3','counter3','date3','over_pos_term3','no_stud_term3'));
                                        sem python:sem_series[int(term)-1];
                                        ">
@@ -37,4 +37,10 @@
                 <td>Year Group Average:</td><td> <span tal:content="python:info[sem[4]]" /> (<span tal:content="python:info[sem[5]]" /> overall marks)</td> 
             </tr>      
+            <tr>
+                <td>Overall Position in Year:</td><td> <span tal:content="python:info[sem[7]]" /> </td> 
+            </tr>     
+            <tr>
+                <td>Number of Students in Year:</td><td> <span tal:content="python:info[sem[8]]" /> </td> 
+            </tr>                             
         </table>
         <br />   <br />                 
Index: /WAeUP_SRP/trunk/skins/waeup_ois/getStudyLevelInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_ois/getStudyLevelInfo.py	(revision 4394)
+++ /WAeUP_SRP/trunk/skins/waeup_ois/getStudyLevelInfo.py	(revision 4395)
@@ -198,4 +198,6 @@
     info['date3'] = 'n/a'
 
+info['over_pos_term1'] = getattr(level_doc, 'over_pos_term1','n/a')
+info['no_stud_term1'] = getattr(level_doc, 'no_stud_term1','n/a')
 
 return info