Index: /WAeUP_SRP/trunk/patches/PatchExtendedWidgetsCPSDateTimeWidget.py
===================================================================
--- /WAeUP_SRP/trunk/patches/PatchExtendedWidgetsCPSDateTimeWidget.py	(revision 4517)
+++ /WAeUP_SRP/trunk/patches/PatchExtendedWidgetsCPSDateTimeWidget.py	(revision 4518)
@@ -12,4 +12,5 @@
     
     if self.view_format == 'import':
+        #import pdb;pdb.set_trace()
         try:
             dt = datastructure[widget_id].strip() 
Index: /WAeUP_SRP/trunk/profiles/default/layouts/application_pume.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/application_pume.xml	(revision 4517)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/application_pume.xml	(revision 4518)
@@ -344,7 +344,26 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="css_class_expr">string:row</property>
-  <property name="view_format">%A, %B %d, %Y</property>
+  <property name="view_format">%A, %d. %B %Y at %I:%M %p</property>
   <property name="time_setting">False</property>
  </widget>
+
+ <widget name="screening_venue" meta_type="String Widget">
+  <property name="title">Screening Venue</property>
+  <property name="fields">
+   <element value="screening_venue"/>
+  </property>
+  <property name="label">Screening Venue</property>
+  <property name="label_edit">Screening Venue</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="hidden_empty">True</property>
+  <property name="css_class_expr">string:row</property>
+ </widget> 
+ 
  <widget name="screening_score" meta_type="String Widget">
   <property name="title">Screening Score</property>
@@ -611,4 +630,7 @@
   </row>
   <row>
+   <cell name="screening_venue" ncols="2"/>
+  </row>  
+  <row>
    <cell name="passport" ncols="2"/>
   </row>
Index: /WAeUP_SRP/trunk/skins/waeup_uniben/apply_admission_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_uniben/apply_admission_slip.pt	(revision 4518)
+++ /WAeUP_SRP/trunk/skins/waeup_uniben/apply_admission_slip.pt	(revision 4518)
@@ -0,0 +1,44 @@
+<tal:block define="rendered_main options/rendered;
+           portal_status_message options/psm;
+           ds options/ds;
+           jamb options/jamb/getContent|nothing;
+           mode options/mode;
+           name python:ds['lastname'];
+           info options/info;
+           serial options/ds/serial|nothing;
+           ccode options/ds/course1|nothing;
+           ccode python:ccode[:3];
+           session_id python:context.getSessionId()[0];
+           app_no string:${ccode}${serial}/${session_id}; 
+           screening_type options/ds/screening_type;
+           with_app_no python: screening_type in ('cest','sandwich');    
+           "
+           >
+  <metal:block define-macro="edit_form">
+    <metal:block use-macro="here/slip_template/macros/master">
+      <metal:block fill-slot="main">
+        <h3 tal:content="info/heading_slip" />
+        <br />
+        
+        <tal:block condition="python: with_app_no and ccode">
+        
+        <table><tr><td>
+        <strong>Application Number: <span tal:replace="app_no" /></strong>
+        </td></tr></table>
+        <br />
+        </tal:block>
+        
+        <div tal:replace="structure rendered_main" />
+        
+        The applicant has confirmed that the picture shown on this slip is a true picture of him/her. 
+        
+        <span tal:condition="python:1">
+          <br /><br />
+          <font color="red">
+          Be at your screening venue not earlier than 7:30 am for the Morning session (09:00 AM) and 1 pm for the afternoon Session (02:00 PM).
+          </font>
+        </span>
+      </metal:block>
+    </metal:block>
+  </metal:block>
+</tal:block>