Index: WAeUP_SRP/trunk/profiles/default/layouts/application_pde.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_pde.xml	(revision 4520)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_pde.xml	(revision 4526)
@@ -29,4 +29,22 @@
     <property name="css_class_expr">string:row</property>
   </widget>
+  
+ <widget name="screening_venue" meta_type="String Widget">
+  <property name="title">Screening Venue</property>
+  <property name="fields">
+   <element value="screening_venue"/>
+  </property>
+  <property name="label">Screening Venue</property>
+  <property name="label_edit">Screening Venue</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="hidden_empty">True</property>
+  <property name="css_class_expr">string:row</property>
+ </widget>   
 
   <widget name="screening_score" meta_type="String Widget">
@@ -388,24 +406,52 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="lastname" meta_type="String Widget">
-    <property name="title">Name</property>
-    <property name="fields">
-      <element value="lastname"/>
-    </property>
-    <property name="label">Name</property>
-    <property name="label_edit">Name</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-    </property>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+ <widget name="firstname" meta_type="String Widget">
+  <property name="title">First Name</property>
+  <property name="fields">
+   <element value="firstname"/>
+  </property>
+  <property name="label">First Name</property>
+  <property name="label_edit">First Name</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="css_class_expr">string:row</property>
+ </widget>
+ <widget name="middlenames" meta_type="String Widget">
+  <property name="title">Middle Name</property>
+  <property name="fields">
+   <element value="middlenames"/>
+  </property>
+  <property name="label">Middle Name</property>
+  <property name="label_edit">Middle Name</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="css_class_expr">string:row</property>
+ </widget> 
+ <widget name="lastname" meta_type="String Widget">
+  <property name="title">Last Name</property>
+  <property name="fields">
+   <element value="lastname"/>
+  </property>
+  <property name="label">Last Name</property>
+  <property name="label_edit">Last Name</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="css_class_expr">string:row</property>
+ </widget>  
  <widget name="lga" meta_type="Select Widget">
   <property name="title">State/LGA</property>
@@ -516,30 +562,26 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="view_format">%A, %B %d, %Y</property>
+    <property name="view_format">%A, %d. %B %Y</property>
     <property name="time_setting">False</property>
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="screening_date" meta_type="DateTime Widget">
-    <property name="title">Screening Date</property>
-    <property name="fields">
-      <element value="screening_date"/>
-    </property>
-    <property name="label">Screening Date</property>
-    <property name="label_edit">Screening Date</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-    </property>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="view_format">%A, %B %d, %Y</property>
-    <property name="time_setting">False</property>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+ <widget name="screening_date" meta_type="DateTime Widget">
+  <property name="title">Screening Date</property>
+  <property name="fields">
+   <element value="screening_date"/>
+  </property>
+  <property name="label">Screening Date</property>
+  <property name="label_edit">Screening Date</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="css_class_expr">string:row</property>
+  <property name="view_format">%A, %d. %B %Y at %I:%M %p</property>
+  <property name="time_setting">False</property>
+ </widget>
   <widget name="screening_type" meta_type="Select Widget">
     <property name="title">Screening Type</property>
@@ -787,7 +829,16 @@
   </row>
   <row>
+   <cell name="firstname" ncols="2"/>
+  </row>
+  <row>
+   <cell name="middlenames" ncols="2"/>
+  </row>
+  <row>
    <cell name="lastname" ncols="2"/>
   </row>
   <row>
+   <cell name="sex" ncols="2"/>
+  </row>
+  <row>
    <cell name="jamb_age" ncols="2"/>
   </row>
@@ -840,4 +891,7 @@
    <cell name="screening_date" ncols="2"/>
   </row>
+  <row>
+   <cell name="screening_venue" ncols="2"/>
+  </row>    
   <row>
    <cell name="passport" ncols="2"/>