Index: WAeUP_SRP/trunk/profiles/default/layouts/application_manage.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_manage.xml	(revision 4537)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_manage.xml	(revision 4540)
@@ -216,10 +216,10 @@
   </widget>
   <widget name="aggregate" meta_type="Int Widget">
-    <property name="title">Total Score</property>
+    <property name="title">Total JAMB Score</property>
     <property name="fields">
       <element value="aggregate"/>
     </property>
-    <property name="label">Total Score</property>
-    <property name="label_edit">Total Score</property>
+    <property name="label">Total JAMB Score</property>
+    <property name="label_edit">Total JAMB Score</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -997,10 +997,10 @@
      
   <widget name="total_score" meta_type="String Widget">
-    <property name="title">Total Score</property>
+    <property name="title">Final Score</property>
     <property name="fields">
       <element value="total_score"/>
     </property>
-    <property name="label">Total Score</property>
-    <property name="label_edit">Total Score</property>
+    <property name="label">Final Score</property>
+    <property name="label_edit">Final Score</property>
     <property name="description"></property>
     <property name="help"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_pde.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_pde.xml	(revision 4537)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_pde.xml	(revision 4540)
@@ -244,10 +244,10 @@
   </widget>
   <widget name="aggregate" meta_type="Int Widget">
-    <property name="title">Total Score</property>
+    <property name="title">Total JAMB Score</property>
     <property name="fields">
       <element value="aggregate"/>
     </property>
-    <property name="label">Total Score</property>
-    <property name="label_edit">Total Score</property>
+    <property name="label">Total JAMB Score</property>
+    <property name="label_edit">Total JAMB Score</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -784,10 +784,10 @@
 
   <widget name="total_score" meta_type="String Widget">
-    <property name="title">Total Score</property>
+    <property name="title">Final Score</property>
     <property name="fields">
       <element value="total_score"/>
     </property>
-    <property name="label">Total Score</property>
-    <property name="label_edit">Total Score</property>
+    <property name="label">Final Score</property>
+    <property name="label_edit">Final Score</property>
     <property name="description"></property>
     <property name="help"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_pume.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_pume.xml	(revision 4537)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_pume.xml	(revision 4540)
@@ -12,10 +12,10 @@
  <property name="is_i18n">False</property>
  <widget name="aggregate" meta_type="Int Widget">
-  <property name="title">Total Score</property>
+  <property name="title">Total JAMB Score</property>
   <property name="fields">
    <element value="aggregate"/>
   </property>
-  <property name="label">Total Score</property>
-  <property name="label_edit">Total Score</property>
+  <property name="label">Total JAMB Score</property>
+  <property name="label_edit">Total JAMB Score</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -549,10 +549,10 @@
  </widget>
  <widget name="total_score" meta_type="String Widget">
-  <property name="title">Total Score</property>
+  <property name="title">Final Score</property>
   <property name="fields">
    <element value="total_score"/>
   </property>
-  <property name="label">Total Score</property>
-  <property name="label_edit">Total Score</property>
+  <property name="label">Final Score</property>
+  <property name="label_edit">Final Score</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>