Index: /WAeUP_SRP/trunk/profiles/fceokene/properties.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/fceokene/properties.xml	(revision 4541)
+++ /WAeUP_SRP/trunk/profiles/fceokene/properties.xml	(revision 4542)
@@ -4,6 +4,6 @@
  <property name="enable_password_reset" type="boolean">True</property>
  <property name="enable_portal_joining" type="boolean">False</property>
- <property name="session" type="string">2008/2009</property>
- <property name="static_dir" type="string">static/</property>
+ <property name="session" type="string">2009/2010</property>
+ <property name="static_dir" type="string"></property>
  <property name="institution_title" type="string">Federal College of Education Okene</property>
  <property name="date1" type="date">2000/01/01 01:00</property>
Index: /WAeUP_SRP/trunk/skins/waeup_fceokene/apply_admission.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_fceokene/apply_admission.py	(revision 4541)
+++ /WAeUP_SRP/trunk/skins/waeup_fceokene/apply_admission.py	(revision 4542)
@@ -39,5 +39,5 @@
 headings['pde'] = 'Apply for Post UDE Screening Test (2008/2009)! '
 headings['prence'] = 'Apply for Pre-NCE Programme (2009/2010)! '
-headings['pce'] = 'Apply for PCE Screening (2007/2008)! '
+headings['pce'] = 'Apply for PCE Screening (2009/2010)! '
 headings['cest'] = 'Apply for Part-Time Degree or Diploma Programmes (2008/2009)! '
 #headings['cest'] = 'Apply for Certificate in Early Child Health (2008/2009)! '
@@ -50,5 +50,5 @@
 headings_slip['pde'] = 'Post UDE Screening (2008/2009) Acknowledgement Slip'
 headings_slip['prence'] = 'Pre-NCE Application (2009/20010) Acknowledgement Slip'
-headings_slip['pce'] = 'PCE Screening (2007/2008) Acknowledgement Slip'
+headings_slip['pce'] = 'PCE Screening (2009/2010) Acknowledgement Slip'
 #headings_slip['cest'] = 'Common Entrance Screening (2007/2008) Acknowledgement Slip'
 headings_slip['cest'] = 'CEST Application (2008/2009) Acknowledgement Slip'
@@ -65,5 +65,5 @@
 deaddates['pde'] = DateTime.DateTime(pprops.date2)
 deaddates['prence'] = DateTime.DateTime(pprops.date1)
-deaddates['pce'] = DateTime.DateTime('2007/08/12 23:59')
+deaddates['pce'] = DateTime.DateTime(pprops.date5)
 deaddates['cest'] = DateTime.DateTime(pprops.date3)
 deaddates['sandwich'] = DateTime.DateTime(pprops.date4)
Index: /WAeUP_SRP/trunk/skins/waeup_fceokene/config_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_fceokene/config_form.pt	(revision 4541)
+++ /WAeUP_SRP/trunk/skins/waeup_fceokene/config_form.pt	(revision 4542)
@@ -138,4 +138,15 @@
         </td>
       </tr>        
+      <tr>
+        <th>
+          <label>
+            Deadline PCE Application:
+          </label>
+        </th>
+        <td>
+          <input type="text" name="date5" id="date5" value="" size="30"
+                 tal:attributes="value pprops/date5" />
+        </td>
+      </tr>          
 
     </table>
Index: /WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py	(revision 4541)
+++ /WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py	(revision 4542)
@@ -39,5 +39,5 @@
 headings['pde'] = 'Apply for Post UDE Screening Test (2009/2010)! '
 headings['prence'] = 'Apply for Pre-NCE Programme (2007/2008)! '
-headings['pce'] = 'Apply for PCE Screening (2007/2008)! '
+headings['pce'] = 'Apply for PCE Screening (2009/2010)! '
 headings['cest'] = 'Apply for Part-Time Degree or Diploma Programmes (2008/2009)! '
 headings['pt'] = 'Apply for Part-Time Degree (2009/2010)! '
@@ -51,5 +51,5 @@
 headings_slip['pde'] = 'Post UDE Screening (2009/2010) Acknowledgement Slip'
 headings_slip['prence'] = 'Pre-NCE Application (2007/2008) Acknowledgement Slip'
-headings_slip['pce'] = 'PCE Screening (2007/2008) Acknowledgement Slip'
+headings_slip['pce'] = 'PCE Screening (2009/2010) Acknowledgement Slip'
 headings_slip['cest'] = 'CEST Application (2008/2009) Acknowledgement Slip'
 headings_slip['pt'] = 'Part-Time Degree Application (2009/2010) Acknowledgement Slip'
@@ -67,5 +67,5 @@
 deaddates['pde'] = DateTime.DateTime(pprops.date2)
 deaddates['prence'] = DateTime.DateTime(pprops.date1)
-deaddates['pce'] = DateTime.DateTime('2007/08/12 23:59')
+deaddates['pce'] = DateTime.DateTime(pprops.date5)
 deaddates['cest'] = DateTime.DateTime(pprops.date3)
 deaddates['sandwich'] = DateTime.DateTime(pprops.date4)