Index: /WAeUP_SRP/trunk/profiles/aaua/layouts/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/aaua/layouts/student_application.xml	(revision 4544)
+++ /WAeUP_SRP/trunk/profiles/aaua/layouts/student_application.xml	(revision 4545)
@@ -222,6 +222,6 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">12</property>
-  <property name="size_max">12</property>
+  <property name="display_width">15</property>
+  <property name="size_max">15</property>
   <property name="catalog">students_catalog</property>
  </widget>
Index: /WAeUP_SRP/trunk/profiles/aaue/layouts/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/aaue/layouts/student_application.xml	(revision 4544)
+++ /WAeUP_SRP/trunk/profiles/aaue/layouts/student_application.xml	(revision 4545)
@@ -222,6 +222,6 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">12</property>
-  <property name="size_max">12</property>
+  <property name="display_width">15</property>
+  <property name="size_max">15</property>
   <property name="catalog">students_catalog</property>
  </widget>
Index: /WAeUP_SRP/trunk/profiles/fceokene/layouts/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/fceokene/layouts/student_application.xml	(revision 4544)
+++ /WAeUP_SRP/trunk/profiles/fceokene/layouts/student_application.xml	(revision 4545)
@@ -222,6 +222,6 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">12</property>
-  <property name="size_max">12</property>
+  <property name="display_width">15</property>
+  <property name="size_max">15</property>
   <property name="catalog">students_catalog</property>
  </widget>
Index: /WAeUP_SRP/trunk/profiles/fceoyo/layouts/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/fceoyo/layouts/student_application.xml	(revision 4544)
+++ /WAeUP_SRP/trunk/profiles/fceoyo/layouts/student_application.xml	(revision 4545)
@@ -222,6 +222,6 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">12</property>
-  <property name="size_max">12</property>
+  <property name="display_width">15</property>
+  <property name="size_max">15</property>
   <property name="catalog">students_catalog</property>
  </widget>
Index: /WAeUP_SRP/trunk/profiles/futminna/layouts/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/futminna/layouts/student_application.xml	(revision 4544)
+++ /WAeUP_SRP/trunk/profiles/futminna/layouts/student_application.xml	(revision 4545)
@@ -223,6 +223,6 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">12</property>
-  <property name="size_max">12</property>
+  <property name="display_width">15</property>
+  <property name="size_max">15</property>
   <property name="catalog">students_catalog</property>
  </widget>
Index: /WAeUP_SRP/trunk/profiles/nau/layouts/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/nau/layouts/student_application.xml	(revision 4544)
+++ /WAeUP_SRP/trunk/profiles/nau/layouts/student_application.xml	(revision 4545)
@@ -222,6 +222,6 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">12</property>
-  <property name="size_max">12</property>
+  <property name="display_width">15</property>
+  <property name="size_max">15</property>
   <property name="catalog">students_catalog</property>
  </widget>
Index: /WAeUP_SRP/trunk/profiles/ois/layouts/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/ois/layouts/student_application.xml	(revision 4544)
+++ /WAeUP_SRP/trunk/profiles/ois/layouts/student_application.xml	(revision 4545)
@@ -222,6 +222,6 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">12</property>
-  <property name="size_max">12</property>
+  <property name="display_width">15</property>
+  <property name="size_max">15</property>
   <property name="catalog">students_catalog</property>
  </widget>
Index: /WAeUP_SRP/trunk/profiles/uniben/layouts/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/uniben/layouts/student_application.xml	(revision 4544)
+++ /WAeUP_SRP/trunk/profiles/uniben/layouts/student_application.xml	(revision 4545)
@@ -222,6 +222,6 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">12</property>
-  <property name="size_max">12</property>
+  <property name="display_width">15</property>
+  <property name="size_max">15</property>
   <property name="catalog">students_catalog</property>
  </widget>
Index: /WAeUP_SRP/trunk/profiles/unilorin/layouts/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/unilorin/layouts/student_application.xml	(revision 4544)
+++ /WAeUP_SRP/trunk/profiles/unilorin/layouts/student_application.xml	(revision 4545)
@@ -222,6 +222,6 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">12</property>
-  <property name="size_max">12</property>
+  <property name="display_width">15</property>
+  <property name="size_max">15</property>
   <property name="catalog">students_catalog</property>
  </widget>