Index: WAeUP_SRP/trunk/skins/waeup_fceoyo/getSchoolFee.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_fceoyo/getSchoolFee.py	(revision 4543)
+++ WAeUP_SRP/trunk/skins/waeup_fceoyo/getSchoolFee.py	(revision 4547)
@@ -13,4 +13,8 @@
 """
 
+GRP1 = ('BIO','MAT','ISC','PHE','CHE','YOR','ARB','ENG','FRE','HAU','IGB')
+GRP2 = ('MUS','THA')
+GRP3 = ('ECON','GEO','SOS','ISS','CRS','PES')
+#GRP4 = ('CSC','AGE','BED','FAA','HEC')
 
 ARTS = ('CRS','ISS','MUS','SOS','THA','PES','ECO','GEO')
@@ -23,5 +27,9 @@
     # PRENCE
     if str(brain.level) == '000' and brain.review_state == 'cleared_and_validated':
-        if brain.department in ARTS:
+        if brain.department in GRP1:
+            d['all'] = 15370
+        elif brain.department in GRP2:
+            d['all'] = 15370
+        elif brain.department in GRP3:
             d['all'] = 14770
         else:
@@ -29,48 +37,72 @@
     # new addition for prence to nce-i students whose fees are different from other nce-i students
     elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated' and brain.entry_mode == 'prence':
-        if brain.department in ARTS:
-            d['all'] = 13320
+        if brain.department in GRP1:
+            d['all'] = 10120
+        elif brain.department in GRP2:
+            d['all'] = 10020
+        elif brain.department in GRP3:
+            d['all'] = 9520
         else:
-            d['all'] = 14420
+            d['all'] = 10520
     # NCE I (fresh)
     elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated':
-        if brain.department in ARTS:
-            d['all'] = 9820
+        if brain.department in GRP1:
+            d['all'] = 11620
+        elif brain.department in GRP2:
+            d['all'] = 11520
+        elif brain.department in GRP3:
+            d['all'] = 11020
         else:
-            d['all'] = 10420
+            d['all'] = 12120
     # NCE I repeaters
     elif str(brain.level) in ('100','110') and brain.review_state == 'returning' and brain.verdict == 'C':
-        if brain.department in ARTS:
-            d['all'] = 8320
-        elif brain.department in ('SCI','VTE','LAG'):
-            d['all'] = 11720
-        elif brain.department in ('ASS','EDU'):
-            d['all'] = 11120     
+        if brain.department in GRP1:
+            d['all'] = 10120
+        elif brain.department in GRP2:
+            d['all'] = 10020
+        elif brain.department in GRP3:
+            d['all'] = 9520
         else:
-            d['all'] = 8920
+            d['all'] = 10520
     # NCE II
     elif str(brain.level) in ('100','110','120') and brain.review_state == 'returning':
-        if brain.department in ARTS:
-            d['all'] = 5450
+        if brain.department in GRP1:
+            d['all'] = 6750
+        elif brain.department in GRP2:
+            d['all'] = 6650
+        elif brain.department in GRP3:
+            d['all'] = 6150
         else:
-            d['all'] = 6050
+            d['all'] = 7250
     # NCE II repeaters
     elif str(brain.level) in ('200','210') and brain.verdict == 'C':
-        if brain.department in ARTS:
-            d['all'] = 5450
+        if brain.department in GRP1:
+            d['all'] = 6750
+        elif brain.department in GRP2:
+            d['all'] = 6650
+        elif brain.department in GRP3:
+            d['all'] = 6150
         else:
-            d['all'] = 6050  
+            d['all'] = 7250
     # NCE III
     elif str(brain.level) in ('200','210','220'):
-        if brain.department in ARTS:
-            d['all'] = 6200
+        if brain.department in GRP1:
+            d['all'] = 8000
+        elif brain.department in GRP2:
+            d['all'] = 7400
+        elif brain.department in GRP3:
+            d['all'] = 7400
         else:
-            d['all'] = 6800
+            d['all'] = 8000
     # NCE III repeaters and spillover
     elif str(brain.level) in ('300','310') and brain.verdict in ('B','C'):
-        if brain.department in ARTS:
-            d['all'] = 4950
+        if brain.department in GRP1:
+            d['all'] = 6750
+        elif brain.department in GRP2:
+            d['all'] = 6150
+        elif brain.department in GRP3:
+            d['all'] = 6150
         else:
-            d['all'] = 5550            
+            d['all'] = 6750           
           
     else:
@@ -105,3 +137,2 @@
 
 return d
-