Index: WAeUP_SRP/trunk/WAeUPImport.py
===================================================================
--- WAeUP_SRP/trunk/WAeUPImport.py	(revision 4557)
+++ WAeUP_SRP/trunk/WAeUPImport.py	(revision 4558)
@@ -64,4 +64,5 @@
         #self.current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
         self.waeup_tool = waeup_tool
+        self.session = waeup_tool.getSessionId()[0]
         self.academics_folder = waeup_tool.portal_url.getPortalObject().campus.academics
         self.schema_tool = getToolByName(waeup_tool, 'portal_schemas')
@@ -784,14 +785,25 @@
                               )
                               },
-                         # 'StudentStudyLevel':
-                         #  {'id': 'current_level',
-                         #   'title': '',
-                         #   'wf_transition_return': 'open',
-                         #   'wf_transition_admit': 'remain',
-                         #   'fields':
-                         #     ('verdict',
-                         #      'session',
-                         #      )
-                         #      },
+                         'StudentAccommodation':
+                          {'id': 'accommodation_final',
+                           'title': '',
+                           'wf_transition_return': 'remain',
+                           'wf_transition_admit': 'remain',
+                           'wf_transition_graduate': 'remain',
+                           'wf_transition_pay_school_fee': 'remain',
+                           'wf_transition_validate_courses': 'remain',
+                           'fields':
+                           ('acco_maint_date',
+                              'acco_maint_code',
+                              'acco_maint_fee',
+                              'acco_maint_sc_pin',
+                              'acco_maint_pay_id',
+                              'acco_res_date',
+                              'acco_res_sc_pin',
+                              'bed',
+                              'session',
+                              'student_status',
+                              )     
+                              },
                          'PaymentsFolder':
                           {'id': 'payments',
@@ -852,5 +864,11 @@
                 break
             for pt in f2t.keys():
-                student_obj.invokeFactory(pt,f2t[pt]['id'])
+                if pt == 'StudentAccommodation':
+                    if mapping.get('bed',None):
+                        student_obj.invokeFactory(pt,f2t[pt]['id'])
+                    else:
+                        continue
+                else:
+                    student_obj.invokeFactory(pt,f2t[pt]['id'])
                 sub_obj = getattr(student_obj,f2t[pt]['id'])
                 sub_doc = sub_obj.getContent()
@@ -942,7 +960,19 @@
                               'disabled',
                               ),
+                    'accommodation':  
+                             ('acco_maint_date',
+                              'acco_maint_code',
+                              'acco_maint_fee',
+                              'acco_maint_sc_pin',
+                              'acco_maint_pay_id',
+                              'acco_res_date',
+                              'acco_res_sc_pin',
+                              'bed',
+                              'session',
+                              'student_status',
+                              ),                              
                    }
 
-        sub_types = ['StudentApplication','StudentClearance','StudentPersonal','StudentStudyCourse']
+        sub_types = ['StudentApplication','StudentClearance','StudentPersonal','StudentStudyCourse','StudentAccommodation']
         non_image_keys = {}
         for i in sub_types:
@@ -962,5 +992,5 @@
         non_image_keys['clearance'].remove('lastname')
         toexport = non_image_keys
-
+        #import pdb;pdb.set_trace()
         while True:
             if hasattr(students_folder,student_id):
@@ -993,8 +1023,15 @@
                 d = {'student_id':student_id,'reg_state':student.review_state,'import_mode':'create'}
                 for k in toexport.keys()[0:]:
+                    if k.startswith('acco'):
+                        session = self.session
+                        subobject = 'accommodation_' + session
+                    else:
+                        subobject = k
                     try:
-                        object = getattr(student_obj,k)
+                        object = getattr(student_obj,subobject)
                         object_doc = object.getContent()
                     except:
+                        for f in toexport[k]:
+                            d[f] = ''
                         continue
                     for f in toexport[k]:
Index: WAeUP_SRP/trunk/WAeUPTool.py
===================================================================
--- WAeUP_SRP/trunk/WAeUPTool.py	(revision 4557)
+++ WAeUP_SRP/trunk/WAeUPTool.py	(revision 4558)
@@ -1282,5 +1282,5 @@
         if os.path.exists(picture_path) or not os.path.exists(orig_path):
             return False        
-        os.rename(picture_path + "_removed",picture_path)
+        os.rename(orig_path,picture_path)
         return True
     ###)
Index: WAeUP_SRP/trunk/profiles/default/schemas/import_student.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/import_student.xml	(revision 4557)
+++ WAeUP_SRP/trunk/profiles/default/schemas/import_student.xml	(revision 4558)
@@ -45,4 +45,15 @@
  <field name="disabled" meta_type="CPS Boolean Field"/>
  
+ <field name="acco_maint_date" meta_type="CPS DateTime Field"/>
+ <field name="acco_maint_code" meta_type="CPS String Field"/>
+ <field name="acco_maint_fee" meta_type="CPS String Field"/>
+ <field name="acco_maint_sc_pin" meta_type="CPS String Field"/>
+ <field name="acco_maint_pay_id" meta_type="CPS String Field"/>
+ <field name="acco_res_date" meta_type="CPS DateTime Field"/>
+ <field name="acco_res_sc_pin" meta_type="CPS String Field"/>
+ <field name="bed" meta_type="CPS String Field"/>
+ <field name="session" meta_type="CPS String Field"/>
+ <field name="student_status" meta_type="CPS String Field"/>  
+ 
  <field name="password" meta_type="CPS String Field"/> 
 </object>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/searchable_student_states.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/searchable_student_states.xml	(revision 4557)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/searchable_student_states.xml	(revision 4558)
@@ -7,4 +7,5 @@
  <property name="acl_write_roles">Manager</property>
  <item key="all" msgid="">all states</item>
+ <item key="graduated" msgid="">graduated</item>
  <item key="returning" msgid="">returning</item>
  <item key="school_fee_paid" msgid="">school fee paid</item>
Index: WAeUP_SRP/trunk/profiles/uniben/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/uniben/actions.xml	(revision 4557)
+++ WAeUP_SRP/trunk/profiles/uniben/actions.xml	(revision 4558)
@@ -19,5 +19,5 @@
    <permission>View</permission>
   </action> 
-  <action title="Alumni" action_id="view_students" category="navigation"
+  <action title="Alumni" action_id="view_alumni" category="navigation"
      condition_expr="python:portal.campus.students.isStaff() and portal.portal_url().find('alumni') &gt;-1"
      url_expr="string:${portal_url}/campus/students" visible="True">