Index: /waeup/branches/ulif-layout/src/waeup/browser.txt
===================================================================
--- /waeup/branches/ulif-layout/src/waeup/browser.txt	(revision 4573)
+++ /waeup/branches/ulif-layout/src/waeup/browser.txt	(revision 4574)
@@ -572,9 +572,9 @@
   <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"...
   ...The following files are available for import:...
+  ...mycertcourses.csv...Certificate Course Importer...
+  ...mycertificates.csv...Certificate Importer...
+  ...mycourses.csv...Course Importer...
+  ...mydepartments.csv...Department Importer...
   ...myfaculties.csv...Faculty Importer...
-  ...mydepartments.csv...Department Importer...
-  ...mycourses.csv...Course Importer...
-  ...mycertificates.csv...Certificate Importer...
-  ...mycertcourses.csv...Certificate Course Importer...
   ...
 
@@ -585,5 +585,5 @@
 appropriate file:
 
-  >>> facimport = browser.getControl('Import!', index=0)
+  >>> facimport = browser.getControl('Import!', index=4)
   >>> facimport.click()
 
@@ -607,5 +607,5 @@
   >>> browser.open('http://localhost/myuniversity/datacenter')
   >>> browser.getLink('Import CSV data').click()
-  >>> browser.getControl('Import!', index=1).click()
+  >>> browser.getControl('Import!', index=3).click()
 
   >>> print browser.contents
@@ -629,5 +629,5 @@
   >>> browser.open('http://localhost/myuniversity/datacenter')
   >>> browser.getLink('Import CSV data').click()
-  >>> browser.getControl('Import!', index=3).click()
+  >>> browser.getControl('Import!', index=1).click()
 
   >>> print browser.contents
@@ -640,5 +640,5 @@
   >>> browser.open('http://localhost/myuniversity/datacenter')
   >>> browser.getLink('Import CSV data').click()
-  >>> browser.getControl('Import!', index=4).click()
+  >>> browser.getControl('Import!', index=0).click()
 
   >>> print browser.contents
Index: /waeup/branches/ulif-layout/src/waeup/datacenter.py
===================================================================
--- /waeup/branches/ulif-layout/src/waeup/datacenter.py	(revision 4573)
+++ /waeup/branches/ulif-layout/src/waeup/datacenter.py	(revision 4574)
@@ -13,5 +13,6 @@
 from zope.interface import Interface
 from waeup.csvfile import getCSVFile
-from waeup.interfaces import IWAeUPObject, IWAeUPCSVImporter, ICSVDataReceivers
+from waeup.interfaces import (IWAeUPObject, IWAeUPCSVImporter,
+                              ICSVDataReceivers, IDataCenterFile)
 from waeup.utils.helpers import copyFileSystemTree
 from waeup.viewlets import Index, MainArea, LeftSidebar
@@ -67,9 +68,11 @@
     def getFiles(self):
         """Get a list of files stored in `storage`.
+
+        Files are sorted by basename.
         """
         result = []
         if not os.path.exists(self.storage):
             return result
-        for filename in os.listdir(self.storage):
+        for filename in sorted(os.listdir(self.storage)):
             fullpath = os.path.join(self.storage, filename)
             if not os.path.isfile(fullpath):
@@ -171,11 +174,4 @@
         return
 
-        
-class IDataCenterFile(Interface):
-    """A data center file.
-    """
-    pass
-
-
 class DataCenterFile(object):
     """A description of a file stored in data center.
Index: /waeup/branches/ulif-layout/src/waeup/datacenter.txt
===================================================================
--- /waeup/branches/ulif-layout/src/waeup/datacenter.txt	(revision 4573)
+++ /waeup/branches/ulif-layout/src/waeup/datacenter.txt	(revision 4574)
@@ -174,25 +174,14 @@
 automatically.
 
-The datacenter is now able to find the CSV receivers in its parents:
-
-    >>> datacenter.getImporters()
-    [<MyCSVImporter object at 0x...>, <MyCSVImporter object at 0x...>]
-
-
-Imports with the WAeUP portal
------------------------------
-
-The examples above looks complicated, but this is the price for
-modularity. If you create a new container type, you can define an
-importer and it will be used automatically by other components.
-
-In the WAeUP portal the only component that actually provides CSV data
-importables is the `University` object.
-
-
-Getting imports (not: importers)
---------------------------------
-
-We can get 'imports'. For this, we need a CSV file to import:
+Before we can go on, we have to set a usable path where we can store
+files without doing harm:
+
+    >>> os.mkdir('filestore')
+    >>> filestore = os.path.abspath('filestore')
+    >>> datacenter.setStoragePath(filestore)
+    []
+
+Furthermore we must create a file for possible import, as we will get
+only importers, for which also an importable file is available:
 
     >>> import os
@@ -202,4 +191,26 @@
     ... """)
 
+The datacenter is now able to find the CSV receivers in its parents:
+
+    >>> datacenter.getImporters()
+    [<MyCSVImporter object at 0x...>, <MyCSVImporter object at 0x...>]
+
+
+Imports with the WAeUP portal
+-----------------------------
+
+The examples above looks complicated, but this is the price for
+modularity. If you create a new container type, you can define an
+importer and it will be used automatically by other components.
+
+In the WAeUP portal the only component that actually provides CSV data
+importables is the `University` object.
+
+
+Getting imports (not: importers)
+--------------------------------
+
+We can get 'imports':
+
     >>> datacenter.getPossibleImports()
     [(<...DataCenterFile object at 0x...>, 
@@ -216,5 +227,6 @@
 Clean up:
 
-    >>> os.unlink(filepath)
+    >>> import shutil
+    >>> shutil.rmtree(filestore)
 
 
Index: /waeup/branches/ulif-layout/src/waeup/interfaces.py
===================================================================
--- /waeup/branches/ulif-layout/src/waeup/interfaces.py	(revision 4573)
+++ /waeup/branches/ulif-layout/src/waeup/interfaces.py	(revision 4574)
@@ -393,2 +393,13 @@
     data, i.e. for which an IWAeUPCSVDataImporter exists.
     """
+
+class IDataCenterFile(Interface):
+    """A data center file.
+    """
+    def getDate():
+        """Get creation timestamp from file in human readable form.
+        """
+
+    def getSize():
+        """Get human readable size of file.
+        """